UNIT mTZeichenobjekt;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses ExtCtrls, Graphics;

type
  TZeichenobjekt = class

  private //Attribute
    Linienfarbe : TColor;

  public //Methoden
    constructor create (LF: TColor); virtual;
    procedure SetzeLinienfarbe (pLinienfarbe: TColor); virtual;
    procedure Zeichnen (PB: TPaintbox); virtual;
    function GibLinienfarbe : TColor; virtual;
    procedure Markiere(PB: TPaintbox); virtual;
    procedure move(xpx,ypx: integer); virtual; abstract;
    function fit(x,y: integer): integer; virtual; abstract;
   end;

implementation

//+---------------------------------------------------------------------
//|         TZeichenobjekt: Methodendefinition
//+---------------------------------------------------------------------

//-------- create (public) ---------------------------------------------
constructor TZeichenobjekt.create (LF: TColor);
begin
  SetzeLinienfarbe(LF);
end;

//-------- SetzeLinienfarbe (public) -----------------------------------
procedure TZeichenobjekt.SetzeLinienfarbe (pLinienfarbe: TColor);
begin
  Linienfarbe := pLinienfarbe
end;

//-------- Zeichnen (public) -------------------------------------------
procedure TZeichenobjekt.Zeichnen (PB: TPaintbox);
begin
  PB.Canvas.Pen.Color:=  Linienfarbe;
end;

//-------- GibLinienfarbe (public) -------------------------------------
function TZeichenobjekt.GibLinienfarbe : TColor;
begin
  result  := Linienfarbe
end;

//-------- Markiere (public) -----------------------------------------
procedure TZeichenobjekt.Markiere(pb: TPaintbox);
begin
  pb.canvas.Brush.style:= bsClear;
  pb.canvas.Pen.color:= clblack;
end;


end.
