UNIT mTRundobjekt;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses ExtCtrls, Graphics, mTPunkt, mTFuellobjekt;

type
  TRundobjekt = class(TFuellobjekt)

  private //Attribute
    Mittelpunkt : TPunkt;

     //Objektbeziehungen:
        // hatTPunkt : TPunkt;

  public //Methoden
    constructor create (x: integer; y: integer; LF: TColor; FF: TColor); virtual;
    procedure SetzeMittelpunkt (pMittelpunkt: TPunkt); virtual;
    procedure Zeichnen (PB: TPaintbox); override;
    function GibMittelpunkt : TPunkt; virtual;
    procedure move(xpx,ypx: integer); override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TRundobjekt: Methodendefinition 
//+---------------------------------------------------------------------

//-------- create (public) ---------------------------------------------
constructor TRundobjekt.create (x: integer; y: integer; LF: TColor; FF: TColor);
begin
  inherited create(LF, FF);
  Mittelpunkt:= TPunkt.create(x,y,LF);
end;

//-------- SetzeMittelpunkt (public) -----------------------------------
procedure TRundobjekt.SetzeMittelpunkt (pMittelpunkt: TPunkt);
begin
  Mittelpunkt := pMittelpunkt
end;

//-------- Zeichnen (public) -------------------------------------------
procedure TRundobjekt.Zeichnen (PB: TPaintbox);
begin
  inherited Zeichnen(PB);
//  Mittelpunkt.Zeichnen(PB);
end;

//-------- GibMittelpunkt (public) -------------------------------------
function TRundobjekt.GibMittelpunkt : TPunkt;
begin
  result  := Mittelpunkt
end;

procedure TRundobjekt.move(xpx,ypx: integer);
begin
 Mittelpunkt.move(xpx,ypx);
end;

end.
